Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.util
Class Univariate

    java.lang.Object
      cc.mallet.util.Univariate

    public class Univariate

extends java.lang.Object

Field Summary
`double[]` | `five`

Constructor Summary
`Univariate(double[] data)`

Method Summary
`int[]` | `between(double t1, double t2)`
`int` | `compare(double t)`
`double` | `elementAt(int index)`
`double[]` | `getData()`
`int` | `indexOf(double element)`
`double` | `max()`
`double` | `mean()`
`double` | `median()`
`double` | `min()`
`double` | `quant(double q)`
`double` | `SE()`
`int` | `size()`
`double[]` | `sort()`
`double` | `stdev()`
`double[]` | `subset(int[] indices)`
`double[]` | `summary()`
`double` | `variance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### five

    public double[] five

Constructor Detail

### Univariate

    public Univariate(double[] data)

Method Detail

### summary

    public double[] summary()

### mean

    public double mean()

### variance

    public double variance()

### stdev

    public double stdev()

### SE

    public double SE()

### max

    public double max()

### min

    public double min()

### median

    public double median()

### quant

    public double quant(double q)

### sort

    public double[] sort()

### getData

    public double[] getData()

### size

    public int size()

### elementAt

    public double elementAt(int index)

### subset

    public double[] subset(int[] indices)

### compare

    public int compare(double t)

### between

    public int[] between(double t1,
                         double t2)

### indexOf

    public int indexOf(double element)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD